<div class="row justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-endereco-heading" data-cy="EnderecoCreateUpdateHeading" jhiTranslate="madmApp.endereco.home.createOrEditLabel">
        Create or edit a Endereco
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="form-group" [hidden]="editForm.get('id')!.value == null">
          <label class="form-control-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.endereco.cep" for="field_cep">Cep</label>
          <input type="text" class="form-control" name="cep" id="field_cep" data-cy="cep" formControlName="cep" />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.endereco.logradouro" for="field_logradouro">Logradouro</label>
          <input
            type="text"
            class="form-control"
            name="logradouro"
            id="field_logradouro"
            data-cy="logradouro"
            formControlName="logradouro"
          />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.endereco.complemento" for="field_complemento">Complemento</label>
          <input
            type="text"
            class="form-control"
            name="complemento"
            id="field_complemento"
            data-cy="complemento"
            formControlName="complemento"
          />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.endereco.bairro" for="field_bairro">Bairro</label>
          <input type="text" class="form-control" name="bairro" id="field_bairro" data-cy="bairro" formControlName="bairro" />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.endereco.localidade" for="field_localidade">Localidade</label>
          <input
            type="text"
            class="form-control"
            name="localidade"
            id="field_localidade"
            data-cy="localidade"
            formControlName="localidade"
          />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.endereco.uf" for="field_uf">Uf</label>
          <input type="text" class="form-control" name="uf" id="field_uf" data-cy="uf" formControlName="uf" />
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
